Name:           ks3switch
Version:        0.1
Release:        2%{?dist}
Summary:        KDE utility for managing the output device on S3 Savage chips

Group:          Applications/System
License:        GPL
URL:            http://francois.bochatay.net/apps/ks3switch/
Source0:        http://francois.bochatay.net/apps/ks3switch/%{name}-%{version}.tar.gz
Patch0:         %{name}-desktop.patch
Patch1:         %{name}-exec.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# ExclusiveArch due to s3switch availability
ExclusiveArch:  %{ix86}
BuildRequires:  kdelibs-devel
BuildRequires:  desktop-file-utils
Requires:       s3switch

%description
KS3switch is a KDE frontend to s3switch, the utility for managing the
output device on S3 Savage chips.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath --disable-dependency-tracking
make clean # 0.1 ships unclean
make # %{?_smp_mflags} # not parallel build clean


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML # it's just the template in 0.1


%clean
rm -rf $RPM_BUILD_ROOT


%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :

%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/ks3switch
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png


%changelog
* Sun Mar 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.1-2
- Rebuild.

* Tue Sep 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.1-1
- Fix desktop entry categories (#165464).
- Tidy up build dependencies.

* Sun Aug  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.1-0.3
- ExclusiveArch ix86 due to s3switch availability.

* Sun May 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.1-0.2
- Rebuild for FC4.

* Sun Feb  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.1-0.1
- Fix Group tag.
- Reduce dir ownership.

* Sat Dec  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1-0.fdr.2
- Add -fpermissive to C(XX)FLAGS for gcc 3.4.

* Thu Jul 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1-0.fdr.1
- First build.
